Bug 107327 - Edit style command should be disabled when selecting a shape or textbox
Summary: Edit style command should be disabled when selecting a shape or textbox
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu Notebookbar Styles-Management Writer-Styles Writer-Toolbars
  Show dependency treegraph
 
Reported: 2017-04-21 10:58 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-11-12 03:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-21 10:58:34 UTC
Steps:
1) Open Writer
2) Insert a shape or textbox
3) Notice that Style > Edit Style is still enabled
4) Clicking it will open paragraph style dialog

.uno:EditStyle shouldnt be enabled like Update Style (.uno:StyleUpdateByExample) and New Style (.uno:StyleNewByExample) arent.

Version: 5.4.0.0.alpha0+
Build ID: 44b14e8c7c485d8a3bb99d9484ac63273988b633
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-17_03:32:22
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-04-21 12:26:08 UTC
Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 7635e0c1c7f821a1081f8e3868f641ae74a172d6
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Cor Nouws 2017-05-31 10:43:42 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> Steps:
> 1) Open Writer
> 2) Insert a shape or textbox
> 3) Notice that Style > Edit Style is still enabled
> 4) Clicking it will open paragraph style dialog

So expected would be that a dialog appears to edit the Graphic/Frame style.
Comment 3 Yousuf Philips (jay) (retired) 2017-05-31 13:14:38 UTC
(In reply to Cor Nouws from comment #2)
> So expected would be that a dialog appears to edit the Graphic/Frame style.

No the command should be disabled, as there is are styles for shapes/textboxes in Writer. Select a textbox and see what happens in Styles & Formatting. Graphic/Frame style is for images and frames.
Comment 4 Cor Nouws 2017-08-11 20:37:45 UTC
(In reply to Yousuf Philips (jay) from comment #3)

> No the command should be disabled, as there is are styles for
> shapes/textboxes in Writer. Select a textbox and see what happens in Styles
> & Formatting. Graphic/Frame style is for images and frames.

But why should "Style > Edit Style .." be not context sensitive?
Comment 5 Yousuf Philips (jay) (retired) 2017-08-21 12:31:37 UTC
(In reply to Cor Nouws from comment #4)
> But why should "Style > Edit Style .." be not context sensitive?

I'm saying that it should be context sensitive, which presently it isnt. :D
Comment 6 Cor Nouws 2017-08-21 20:05:55 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> I'm saying that it should be context sensitive, which presently it isnt. :D

ah :) Sorry that I misread this!
Comment 7 QA Administrators 2018-09-10 02:36:46 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2019-08-29 20:22:15 UTC
Still reproducible with
Version: 6.3.0.4
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-AT (de_AT.UTF-8); UI-Language: en-US

Also in the Notebookars.
Comment 9 Buovjaga 2020-11-11 18:42:39 UTC
Still repro

Arch Linux 64-bit
Version: 7.1.0.0.alpha1+
Build ID: 3d3180115be3b87e76189aea2031f0caa735dbb3
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 11 November 2020
Comment 10 QA Administrators 2022-11-12 03:35:26 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug